LATEST VERSION: 1.8.4 - CHANGELOG
RabbitMQ for PCF v1.7.16

RabbitMQ® for PCF Release Notes

Pivotal recommends that you upgrade to the latest version of your current minor line, and then upgrade to the latest available version of the new minor line. For example, if you’re on an older v1.7.x version, upgrade to the latest v1.7.x version before upgrading to the latest v1.8.x version.

See the Product Compatibility Matrix for product versions and upgrade paths.

v1.7.x

Pivotal released v1.7.0 in September 2016, and the latest patch version is v1.7.16.

v1.7.16

Release Date: April 27, 2017

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.14 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.9. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3363.20.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.9
  • Erlang v19.3
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell

v1.7.15

Release Date: March 31, 2017

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.14 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.9. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3363.14.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.9 - New
  • Erlang v19.3 - New
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell and version of RabbitMQ

v1.7.14

Release Date: March 10, 2017

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.6 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.6. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3263.21.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.6
  • Erlang v18.3.4.4
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell.

v1.7.13

Release Date: March 3, 2017

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.6 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.6. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3263.20.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.6
  • Erlang v18.3.4.4
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell.
  • Includes rabbitmq_jms_topic_exchange plugin support.
  • Migrate metrics configuration to a new form and introduces a Use non-secure communication for metrics checkbox for Ops Manager 1.10 compatibility.

v1.7.10

Release Date: January 27, 2017

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.6 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.6. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3263.17.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.6
  • Erlang v18.3.4.4
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell.
  • It is now possible to set static IP addresses for HAproxy and/or RabbitMQ server nodes via Ops Manager

v1.7.9

Release Date: December 15, 2016

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.6 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.6. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3263.13.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.6
  • Erlang v18.3.4.4
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell.

v1.7.8

Release Date: December 8, 2016

Important: You will experience a small window of downtime during this particular deployment if you are upgrading from v1.7.6 or below as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.6. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3263.12.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.6
  • Erlang v18.3.4.4
  • HAProxy v1.6.4

Features included in this release:

  • This is a security release addressed by a new stemcell.

v1.7.7

Release Date: November 22, 2016

Important: You will experience a small window of downtime during this particular deployment as the RabbitMQ cluster is taken offline and each nodes is upgraded to v3.6.6. Pivotal recommends that you communicate with your application owners in advance to minimize the impact of this downtime.

  • Requires stemcell v3263.8.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Packages:

  • OSS RabbitMQ v3.6.6 (new)
  • Erlang v18.3.4.4
  • HAProxy v1.6.4

Features included in this release:

  • The default number of RabbitMQ server nodes has been increased from 2 to 3. Customers with existing deployments will be unaffected.
  • This version of RabbitMQ addresses a security vulnerabiliy in the MQTT plugin. For more information, see here.

v1.7.6

Release Date: October 21, 2016

  • Requires stemcell v3263.8 for USN-3106-2: Linux kernel (Xenial HWE) vulnerability.
  • This will be a rolling deployment.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Features included in this release:

  • Update to drain scripts during RabbitMQ node shutdown to cleanly shutdown the application and increase logging.
  • Contains OSS RabbitMQ v3.6.5.
  • Erlang v18.1.
  • HAproxy v1.6.4.

  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

v1.7.5

Release Date: October 14, 2016

  • Requires stemcell v3263.7.
  • This will be a rolling deployment.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Features included in this release:

  • OSS RabbitMQ v3.6.5.
  • Erlang v18.1.
  • HAproxy v1.6.4.
  • Includes stability and bug fixes.

v1.7.4

Release Date: October 13, 2016

  • Requires stemcell v3263.3.
  • You can upgrade to this version from v1.6.8 or later.
  • This will be a rolling deployment.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Features included in this release:

  • Upgrade to OSS RabbitMQ v3.6.5.
  • Erlang 18.1.
  • HAProxy v1.6.9.
  • Includes stability and bug fixes.
  • Fixed an issue with SSL configuration options being applied incorrectly via Ops Manager. Existing customers properties will be migrated and displayed properly

v1.7.3

Release Date: October 10, 2016

  • Requires stemcell v3263.2.
  • This will be a rolling deployment.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.
  • Do not upgrade to this version from v1.6.8.

Features included in this release:

  • Fixed an issue with SSL configuration options being applied incorrectly via Ops Manager. Existing customers properties will be migrated and displayed properly.
  • RabbitMQ v3.6.3.
  • Erlang v18.1.
  • HAProxy v1.6.4.

v1.7.2

Release Date: September 27, 2016

  • Requires stemcell v3263.2.
  • This will be a rolling deployment.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Features included in this release:

  • Using stemcell v3263.2.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.
  • RabbitMQ v3.6.3 release is included and the option to enable the event_exchange plugin is available in Ops Manager.
  • Compatibility with all Ops Manager v1.8 features, such as multiple subnets in multiple Availability Zones (AWS, vSphere).
  • If deploying this tile as part of an Ops Manager v1.8 upgrade from Ops Manager v1.7, ensure that you are upgrading from RabbitMQ for PCF v1.6.6 or later.
  • This release is using Service Metrics v1.4.3.

v1.7.0

Release Date: September 2, 2016

  • Requires stemcell v3262.9.
  • This will be a rolling deployment.
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.

Features included in this release:

  • Using stemcell v3262.9
  • This version of the tile can only be installed in an Ops Manager v1.8 (or later) environment.
  • RabbitMQ v3.6.3 release is included and the option to enable the event_exchange plugin is available in Ops Manager.
  • Compatibility with all Ops Manager v1.8 features, such as multiple subnets in multiple Availability Zones (AWS, vSphere).
  • If deploying this tile as part of an Ops Manager v1.8 upgrade from Ops Manager v1.7, ensure that you are upgrading from RabbitMQ for PCF v1.6.6 or later.
  • This release is using Service Metrics v1.4.3.

v1.6.x

For v1.6.x versions of RabbitMQ for PCF, see the release notes in the v1.6 version of this documentation.

v1.5.x and Earlier

For v1.5.x and earlier versions of RabbitMQ for PCF, see the release notes in the v1.5 version of this documentation.

Create a pull request or raise an issue on the source for this page in GitHub